> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Exchange Rates

> An integrator can use this endpoint to get all the exchange rates available

An integrator can use this endpoint to get all the exchange rates available.


## OpenAPI

````yaml GET /api/v3/rate
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/rate:
    get:
      tags:
        - RATES
      summary: Get all exchange rates
      description: >-
        An integrator can use this endpoint to get all the exchange rates
        available
      operationId: RateController_rates_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Available exchange rate.
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RateResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    RateResponseDto:
      type: object
      properties:
        from:
          type: string
          description: From currency
          example: USD
        to:
          type: string
          description: To currency
          example: EUR
        value:
          type: string
          description: Rate value
          example: '0.85'
      required:
        - from
        - to
        - value
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````